/**
  ******************************************************************************
  * Fichier: font15.h
  * Auteur :  Pascal Chour - www.pascalchour.fr
  * date   :  fvrier 2018 - octobre 2019
  * Description : Fonte pour afficheur 1.54 pouce et programme PC-Epd_154_low_memory
  * Certains caractres sont bass sur le programme font24.c de ST. Attention, le codage
  * de la structure est diffrent de celle utilise par ST.
  * Pour PC-GM8, seuls les caractres utiliss ont t conservs
  * Codage :
  * ' '=0x20    0 = 0x2C
  * | = 0x21    1 = 0x2D
  * A = 0x22    2 = 0x2E
  * J = 0x23    3 = 0x2F
  * L = 0x24    4 = 0x30
  * M = 0x25    5 = 0x31
  * N = 0x26    6 = 0x32
  * O = 0x27    7 = 0x33
  * R = 0x28    8 = 0x34
  * X = 0x29    9 = 0x35
  * Y = 0x2A
  * Pav plein = 0x2B
  ******************************************************************************
*/

const uint8_t Font15_Table [] =
{
	
    //  ' ' 0x20 (17 pixels de large)
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //


    //  '!' = '|' 0x21 (17 pixels de large)
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##



    //  'A' 0x22 (17 pixels de large)
    0x00, 0x00, 0x00, //
    0x1F, 0x80, 0x00, //    ######
    0x1F, 0xC0, 0x00, //    #######
    0x01, 0xC0, 0x00, //        ###
    0x03, 0x60, 0x00, //       ## ##
    0x03, 0x60, 0x00, //       ## ##
    0x06, 0x30, 0x00, //      ##   ##
    0x06, 0x30, 0x00, //      ##   ##
    0x0C, 0x30, 0x00, //     ##    ##
    0x0F, 0xF8, 0x00, //     #########
    0x1F, 0xF8, 0x00, //    ##########
    0x18, 0x0C, 0x00, //    ##       ##
    0x30, 0x0C, 0x00, //   ##        ##
    0xFC, 0x7F, 0x00, // ######   #######
    0xFC, 0x7F, 0x00, // ######   #######

    //  'J' 0x23 (17 pixels de large)

    0x00, 0x00, 0x00, //
    0x07, 0xFE, 0x00, //      ##########
    0x07, 0xFE, 0x00, //      ##########
    0x00, 0x30, 0x00, //           ##
    0x00, 0x30, 0x00, //           ##
    0x00, 0x30, 0x00, //           ##
    0x00, 0x30, 0x00, //           ##
    0x00, 0x30, 0x00, //           ##
    0x30, 0x30, 0x00, //   ##      ##
    0x30, 0x30, 0x00, //   ##      ##
    0x30, 0x30, 0x00, //   ##      ##
    0x30, 0x30, 0x00, //   ##      ##
    0x30, 0x60, 0x00, //   ##     ##
    0x3F, 0xE0, 0x00, //   #########
    0x0F, 0x80, 0x00, //     #####


    //  'L' 0x24 (17 pixels de large)
    0x00, 0x00, 0x00, //
    0x7F, 0x80, 0x00, //  ########
    0x7F, 0x80, 0x00, //  ########
    0x0C, 0x00, 0x00, //     ##
    0x0C, 0x00, 0x00, //     ##
    0x0C, 0x00, 0x00, //     ##
    0x0C, 0x00, 0x00, //     ##
    0x0C, 0x00, 0x00, //     ##
    0x0C, 0x00, 0x00, //     ##
    0x0C, 0x0C, 0x00, //     ##      ##
    0x0C, 0x0C, 0x00, //     ##      ##
    0x0C, 0x0C, 0x00, //     ##      ##
    0x0C, 0x0C, 0x00, //     ##      ##
    0x7F, 0xFC, 0x00, //  #############
    0x7F, 0xFC, 0x00, //  #############

    //  'M' 0x25 (17 pixels de large)
    0x00, 0x00, 0x00, //
    0xF0, 0x0F, 0x00, // ####        ####
    0xF8, 0x1F, 0x00, // #####      #####
    0x38, 0x1C, 0x00, //   ###      ###
    0x3C, 0x3C, 0x00, //   ####    ####
    0x3C, 0x3C, 0x00, //   ####    ####
    0x36, 0x6C, 0x00, //   ## ##  ## ##
    0x36, 0x6C, 0x00, //   ## ##  ## ##
    0x33, 0xCC, 0x00, //   ##  ####  ##
    0x33, 0xCC, 0x00, //   ##  ####  ##
    0x31, 0x8C, 0x00, //   ##   ##   ##
    0x30, 0x0C, 0x00, //   ##        ##
    0x30, 0x0C, 0x00, //   ##        ##
    0xFE, 0x7F, 0x00, // #######  #######
    0xFE, 0x7F, 0x00, // #######  #######

    //  'N' 0x26 (17 pixels de large)
    0x00, 0x00, 0x00, //
    0x78, 0xFE, 0x00, //  ####   #######
    0x78, 0xFE, 0x00, //  ####   #######
    0x1C, 0x18, 0x00, //    ###     ##
    0x1E, 0x18, 0x00, //    ####    ##
    0x1F, 0x18, 0x00, //    #####   ##
    0x1B, 0x18, 0x00, //    ## ##   ##
    0x1B, 0x98, 0x00, //    ## ###  ##
    0x19, 0xD8, 0x00, //    ##  ### ##
    0x18, 0xD8, 0x00, //    ##   ## ##
    0x18, 0xF8, 0x00, //    ##   #####
    0x18, 0x78, 0x00, //    ##    ####
    0x18, 0x38, 0x00, //    ##     ###
    0x7F, 0x18, 0x00, //  #######   ##
    0x7F, 0x18, 0x00, //  #######   ##

    //  'O' 0x27 (17 pixels de large)
    0x00, 0x00, 0x00, //
    0x03, 0xC0, 0x00, //       ####
    0x0F, 0xF0, 0x00, //     ########
    0x1C, 0x38, 0x00, //    ###    ###
    0x18, 0x18, 0x00, //    ##      ##
    0x38, 0x1C, 0x00, //   ###      ###
    0x30, 0x0C, 0x00, //   ##        ##
    0x30, 0x0C, 0x00, //   ##        ##
    0x30, 0x0C, 0x00, //   ##        ##
    0x30, 0x0C, 0x00, //   ##        ##
    0x38, 0x1C, 0x00, //   ###      ###
    0x18, 0x18, 0x00, //    ##      ##
    0x1C, 0x38, 0x00, //    ###    ###
    0x0F, 0xF0, 0x00, //     ########
    0x03, 0xC0, 0x00, //       ####


    //  'R' 0x28 (17 pixels de large)
    0x00, 0x00, 0x00, //
    0x7F, 0xE0, 0x00, //  ##########
    0x7F, 0xF0, 0x00, //  ###########
    0x18, 0x38, 0x00, //    ##     ###
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x38, 0x00, //    ##     ###
    0x1F, 0xF0, 0x00, //    #########
    0x1F, 0xC0, 0x00, //    #######
    0x18, 0xE0, 0x00, //    ##   ###
    0x18, 0x70, 0x00, //    ##    ###
    0x18, 0x30, 0x00, //    ##     ##
    0x18, 0x38, 0x00, //    ##     ###
    0x7F, 0x1E, 0x00, //  #######   ####
    0x7F, 0x0E, 0x00, //  #######    ###

    //  'X' 0x29 (17 pixels de large)
    0x00, 0x00, 0x00, //
    0x7E, 0x7E, 0x00, //  ######  ######
    0x7E, 0x7E, 0x00, //  ######  ######
    0x18, 0x18, 0x00, //    ##      ##
    0x0C, 0x30, 0x00, //     ##    ##
    0x06, 0x60, 0x00, //      ##  ##
    0x03, 0xC0, 0x00, //       ####
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x03, 0xC0, 0x00, //       ####
    0x06, 0x60, 0x00, //      ##  ##
    0x0C, 0x30, 0x00, //     ##    ##
    0x18, 0x18, 0x00, //    ##      ##
    0x7E, 0x7E, 0x00, //  ######  ######
    0x7E, 0x7E, 0x00, //  ######  ######

    //  'Y' 0x2A (17 pixels de large)
    0x00, 0x00, 0x00, //
    0x7C, 0x7E, 0x00, //  #####   ######
    0x7C, 0x7E, 0x00, //  #####   ######
    0x18, 0x18, 0x00, //    ##      ##
    0x0C, 0x30, 0x00, //     ##    ##
    0x06, 0x60, 0x00, //      ##  ##
    0x06, 0x60, 0x00, //      ##  ##
    0x03, 0xC0, 0x00, //       ####
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x0F, 0xF0, 0x00, //     ########
    0x0F, 0xF0, 0x00, //     ########


    // Pav plein 0x2B (17 pixels de large) =
    //                  76543210765432101
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################


    // '0' 0x2C (17 pixels de large)
    0x03, 0xC0, 0x00, //       ####
    0x07, 0xE0, 0x00, //      ######
    0x0C, 0x30, 0x00, //     ##    ##
    0x0C, 0x30, 0x00, //     ##    ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x0C, 0x30, 0x00, //     ##    ##
    0x0C, 0x30, 0x00, //     ##    ##
    0x07, 0xE0, 0x00, //      ######
    0x03, 0xC0, 0x00, //       ####


    // '1' 0x2D (17 pixels de large)
    0x00, 0x80, 0x00, //         #
    0x07, 0x80, 0x00, //      ####
    0x1F, 0x80, 0x00, //    ######
    0x1D, 0x80, 0x00, //    ### ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##
    0x1F, 0xF8, 0x00, //    ##########
    0x1F, 0xF8, 0x00, //    ##########


    // '2' 0x2E (17 pixels de large)
    0x07, 0xC0, 0x00, //      #####
    0x1F, 0xF0, 0x00, //    #########
    0x38, 0x30, 0x00, //   ###     ##
    0x30, 0x18, 0x00, //   ##       ##
    0x30, 0x18, 0x00, //   ##       ##
    0x00, 0x18, 0x00, //            ##
    0x00, 0x30, 0x00, //           ##
    0x00, 0x60, 0x00, //          ##
    0x01, 0xC0, 0x00, //        ###
    0x03, 0x80, 0x00, //       ###
    0x06, 0x00, 0x00, //      ##
    0x0C, 0x00, 0x00, //     ##
    0x18, 0x00, 0x00, //    ##
    0x3F, 0xF8, 0x00, //   ###########
    0x3F, 0xF8, 0x00, //   ###########


    // '3' 0x2F (17 pixels de large)
    0x03, 0xC0, 0x00, //       ####
    0x0F, 0xE0, 0x00, //     #######
    0x0C, 0x70, 0x00, //     ##   ###
    0x00, 0x30, 0x00, //           ##
    0x00, 0x30, 0x00, //           ##
    0x00, 0x60, 0x00, //          ##
    0x03, 0xC0, 0x00, //       ####
    0x03, 0xE0, 0x00, //       #####
    0x00, 0x70, 0x00, //          ###
    0x00, 0x18, 0x00, //            ##
    0x00, 0x18, 0x00, //            ##
    0x00, 0x18, 0x00, //            ##
    0x18, 0x38, 0x00, //    ##     ###
    0x1F, 0xF0, 0x00, //    #########
    0x0F, 0xC0, 0x00, //     ######


    // '4' 0x30 (17 pixels de large)
    0x00, 0xE0, 0x00, //         ###
    0x01, 0xE0, 0x00, //        ####
    0x01, 0xE0, 0x00, //        ####
    0x03, 0x60, 0x00, //       ## ##
    0x06, 0x60, 0x00, //      ##  ##
    0x06, 0x60, 0x00, //      ##  ##
    0x0C, 0x60, 0x00, //     ##   ##
    0x0C, 0x60, 0x00, //     ##   ##
    0x18, 0x60, 0x00, //    ##    ##
    0x3F, 0xF8, 0x00, //   ###########
    0x3F, 0xF8, 0x00, //   ###########
    0x00, 0x60, 0x00, //          ##
    0x00, 0x60, 0x00, //          ##
    0x01, 0xF8, 0x00, //        ######
    0x01, 0xF8, 0x00, //        ######


    // '5' 0x31 (17 pixels de large)
    0x1F, 0xF0, 0x00, //    #########
    0x1F, 0xF0, 0x00, //    #########
    0x18, 0x00, 0x00, //    ##
    0x18, 0x00, 0x00, //    ##
    0x18, 0x00, 0x00, //    ##
    0x1B, 0xC0, 0x00, //    ## ####
    0x1F, 0xF0, 0x00, //    #########
    0x1C, 0x30, 0x00, //    ###    ##
    0x00, 0x18, 0x00, //            ##
    0x00, 0x18, 0x00, //            ##
    0x00, 0x18, 0x00, //            ##
    0x00, 0x18, 0x00, //            ##
    0x30, 0x30, 0x00, //   ##      ##
    0x3F, 0xF0, 0x00, //   ##########
    0x0F, 0xC0, 0x00, //     ######


    // '6' 0x32 (17 pixels de large)
    0x00, 0xF8, 0x00, //         #####
    0x03, 0xF8, 0x00, //       #######
    0x07, 0x00, 0x00, //      ###
    0x0E, 0x00, 0x00, //     ###
    0x0C, 0x00, 0x00, //     ##
    0x18, 0x00, 0x00, //    ##
    0x1B, 0xC0, 0x00, //    ## ####
    0x1F, 0xF0, 0x00, //    #########
    0x1C, 0x30, 0x00, //    ###    ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x0C, 0x38, 0x00, //     ##    ###
    0x0F, 0xF0, 0x00, //     ########
    0x03, 0xE0, 0x00, //       #####


    // '7' 0x33 (17 pixels de large)
    0x1F, 0xF8, 0x00, //    ##########
    0x1F, 0xF8, 0x00, //    ##########
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x38, 0x00, //    ##     ###
    0x00, 0x30, 0x00, //           ##
    0x00, 0x30, 0x00, //           ##
    0x00, 0x70, 0x00, //          ###
    0x00, 0x60, 0x00, //          ##
    0x00, 0x60, 0x00, //          ##
    0x00, 0xE0, 0x00, //         ###
    0x00, 0xC0, 0x00, //         ##
    0x00, 0xC0, 0x00, //         ##
    0x01, 0xC0, 0x00, //        ###
    0x01, 0x80, 0x00, //        ##
    0x01, 0x80, 0x00, //        ##


    //  '8' x0348 (17 pixels de large)
    0x07, 0xE0, 0x00, //      ######
    0x0F, 0xF0, 0x00, //     ########
    0x1C, 0x38, 0x00, //    ###    ###
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x0C, 0x30, 0x00, //     ##    ##
    0x07, 0xE0, 0x00, //      ######
    0x07, 0xE0, 0x00, //      ######
    0x0C, 0x30, 0x00, //     ##    ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x1C, 0x38, 0x00, //    ###    ###
    0x0F, 0xF0, 0x00, //     ########
    0x07, 0xE0, 0x00, //      ######


    // '9' 0x35 (17 pixels de large)
    0x07, 0xC0, 0x00, //      #####
    0x0F, 0xF0, 0x00, //     ########
    0x1C, 0x30, 0x00, //    ###    ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x18, 0x18, 0x00, //    ##      ##
    0x0C, 0x38, 0x00, //     ##    ###
    0x0F, 0xF8, 0x00, //     #########
    0x03, 0xD8, 0x00, //       #### ##
    0x00, 0x18, 0x00, //            ##
    0x00, 0x30, 0x00, //           ##
    0x00, 0x70, 0x00, //          ###
    0x00, 0xE0, 0x00, //         ###
    0x1F, 0xC0, 0x00, //    #######
    0x1F, 0x00, 0x00, //    #####

};


/*****END OF FILE****/
