/**
  ******************************************************************************
  * Fichier: font20.h
  * Auteur :  Pascal Chour - www.pascalchour.fr
  * date   :  fvrier 2018 - octobre 2019
  * Description : Fonte pour afficheur 1.54 pouce et programme PC-Epd_154_low_memory
  * Certains caractres sont bass sur le programme font24.c de ST. Attention, le codage
  * de la structure est diffrent de celle utilise par ST.
  * Pour PC-GM8, seuls les caractres utiliss ont t conservs
  ******************************************************************************
*/

const uint8_t Font20_Table [] =
{
	
    //  ' ' 0x20 (17 pixels de large)
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //

    // Batterie 0x21 (17 pixels de large) =
    //                  76543210765432101
    0x1F, 0xFF, 0x80, //   ##############
    0x1F, 0xFF, 0x80, //   ##############
    0x18, 0x00, 0x00, //   ##
    0x18, 0x00, 0x00, //   ##
    0x18, 0x00, 0x00, //   ##
    0x18, 0x00, 0x00, //   ##
    0x18, 0x00, 0x00, //   ##
    0x78, 0x00, 0x00, // ####
    0x78, 0x00, 0x00, // ####
    0x78, 0x00, 0x00, // ####
    0x78, 0x00, 0x00, // ####
    0x78, 0x00, 0x00, // ####
    0x78, 0x00, 0x00, // ####
    0x18, 0x00, 0x00, //   ##
    0x18, 0x00, 0x00, //   ##
    0x18, 0x00, 0x00, //   ##
    0x18, 0x00, 0x00, //   ##
    0x18, 0x00, 0x00, //   ##
    0x1F, 0xFF, 0x80, //   ##############
    0x1F, 0xFF, 0x80, //   ##############

    // Batterie 0x22 (17 pixels de large)
    //                  76543210765432101
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //   
    0x00, 0x00, 0x00, //  
    0x00, 0x00, 0x00, //   
    0x00, 0x00, 0x00, //   
    0x00, 0x00, 0x00, //   
    0x00, 0x00, 0x00, //   
    0x00, 0x00, 0x00, //   
    0x00, 0x00, 0x00, //   
    0x00, 0x00, 0x00, //   
    0x00, 0x00, 0x00, //   
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################

    // Batterie 0x23 (17 pixels de large)
    //                  76543210765432101
    0xFF, 0xFC, 0x00, //##############
    0xFF, 0xFC, 0x00, //##############
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0xFF, 0xFC, 0x00, //##############
    0xFF, 0xFC, 0x00, //##############


    // Batterie 0x24 (17 pixels de large)
    //                  76543210765432101
    0x1F, 0xFF, 0x80, //   ##############
    0x1F, 0xFF, 0x80, //   ##############
    0x18, 0x00, 0x00, //   ##
    0x18, 0x00, 0x00, //   ##
    0x18, 0xFF, 0x80, //   ##  ##########
    0x18, 0xFF, 0x80, //   ##  ##########
    0x18, 0xFF, 0x80, //   ##  ##########
    0x78, 0xFF, 0x80, // ####  ##########
    0x78, 0xFF, 0x80, // ####  ##########
    0x78, 0xFF, 0x80, // ####  ##########
    0x78, 0xFF, 0x80, // ####  ##########
    0x78, 0xFF, 0x80, // ####  ##########
    0x78, 0xFF, 0x80, // ####  ##########
    0x18, 0xFF, 0x80, //   ##  ##########
    0x18, 0xFF, 0x80, //   ##  ##########
    0x18, 0xFF, 0x80, //   ##  ##########
    0x18, 0x00, 0x00, //   ##
    0x18, 0x00, 0x00, //   ##
    0x1F, 0xFF, 0x80, //   ##############
    0x1F, 0xFF, 0x80, //   ##############

    // Batterie 0x25 (17 pixels de large)
    //                  76543210765432101
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0x1F, 0xF8, 0x00, //   ##########
    0x1F, 0xF8, 0x00, //   ##########
    0x1F, 0xF8, 0x00, //   ##########
    0x1F, 0xF8, 0x00, //   ##########
    0x1F, 0xF8, 0x00, //   ##########
    0x1F, 0xF8, 0x00, //   ##########
    0x1F, 0xF8, 0x00, //   ##########
    0x1F, 0xF8, 0x00, //   ##########
    0x1F, 0xF8, 0x00, //   ##########
    0x1F, 0xF8, 0x00, //   ##########
    0x1F, 0xF8, 0x00, //   ##########
    0x1F, 0xF8, 0x00, //   ##########
    0x00, 0x00, 0x00, //
    0x00, 0x00, 0x00, //
    0xFF, 0xFF, 0x80, //#################
    0xFF, 0xFF, 0x80, //#################

    // Batterie 0x26 (17 pixels de large)
    //                  76543210765432101
    0xFF, 0xFC, 0x00, //##############
    0xFF, 0xFC, 0x00, //##############
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0xFF, 0xCC, 0x00, //##########  ##
    0xFF, 0xCC, 0x00, //##########  ##
    0xFF, 0xCC, 0x00, //##########  ##
    0xFF, 0xCC, 0x00, //##########  ##
    0xFF, 0xCC, 0x00, //##########  ##
    0xFF, 0xCC, 0x00, //##########  ##
    0xFF, 0xCC, 0x00, //##########  ##
    0xFF, 0xCC, 0x00, //##########  ##
    0xFF, 0xCC, 0x00, //##########  ##
    0xFF, 0xCC, 0x00, //##########  ##
    0xFF, 0xCC, 0x00, //##########  ##
    0xFF, 0xCC, 0x00, //##########  ##
    0x00, 0x0C, 0x00, //            ##
    0x00, 0x0C, 0x00, //            ##
    0xFF, 0xFC, 0x00, //##############
    0xFF, 0xFC, 0x00, //##############

};


/*****END OF FILE****/
